2012-12-18  Christian Egli  <christian.egli@sbs.ch>

	* tests/tables/Makefile.am (EXTRA_DIST): Add all test tables.

2012-12-17  Christian Egli  <christian.egli@sbs.ch>

	* NEWS: Added all new features to the NEWS entry for this release.

	* doc/liblouis.texi: Add documentation for the lou_trace program.

	* tools/lou_trace.c: Add copyright information.
	(print_script): Fixes to the printing of context rules.

	* liblouis/lou_translateString.c (checkMultCaps):
	(noCompbrlAhead): Fix the valgrind warnings properly without
	adding a regression.
	(translateString): Make sure appliedRules are also updated for the
	context opcode.

2012-12-17  Hammer Attila <hammera@pickup.hu>

	* tests/harnessSources/hu-hu-g1_harness_source.txt:
	* tests/harnessSources/hu-hu-g1-hyph_harness_source.txt:
	* tests/harness/hu-hu-g1_harness.txt:
	* tests/harness/hu-hu-g1-hyph_harness.txt:
	* tables/hu-exceptionwords.cti: Bug fix and tests for the
	Hungarian grade 1 table.

2012-12-14  Christian Egli  <christian.egli@sbs.ch>

	* tests/typeform.c: Added a comment about the purpose of this
	file, as it isn't really a test

	* tests/brl_checks.h:
	* tests/brl_checks.c (convert_typeform): Add the new function to
	the header file.

2012-12-13  Christian Egli  <christian.egli@sbs.ch>

	* tests/typeform.c:
	* tests/en_gb_g1_italics.c:
	* tests/brl_checks.c:
	* liblouis/compileTranslationTable.c: Fix compiler warnings, like
	unused variables, macro redefinition, comparison between signed
	and unsigned integer expressions, etc.

	* configure.ac:
	* NEWS: Update for release 2.5.2

2012-12-13  Paul Wood <paulw.torchtrust@gmail.com>

	* tables/en-GB-g2.ctb: Fix a regression with the 'com'
	contraction.

2012-12-10  Christian Egli  <christian.egli@sbs.ch>

	* tables/ukchardefs.cti: Fixes provided by Paul Paul Wood.

2012-12-07  Paul Wood <paulw.torchtrust@gmail.com>

	* tables/en-GB-g2.ctb: Corrections to the g2 table.

2012-12-06  Christian Egli  <christian.egli@sbs.ch>

	* tables/ko.ctb:
	* tables/Makefile.am (table_files): Add a table for Korean
	provided by Joseph Lee <joseph.lee22590@gmail.com>

2012-12-04  Christian Egli  <christian.egli@sbs.ch>

	* liblouis/Makefile.am (AM_ETAGSFLAGS): The langmap option only
	works if you use ctags. Newer versions of etags (i.e. emacs 24 and
	up) seem to generate proper TAGS files even for *.ci files, so
	this option can be removed.

2012-12-03  Christian Egli  <christian.egli@sbs.ch>

	* liblouis/lou_translateString.c (lou_dotsToChar): Fix some
	valgrind warnings about invalid reads, i.e. do some array bound
	checking.

2012-12-03  Joseph Lee <joseph.lee22590@gmail.com>

	* tables/Makefile.am (table_files):
	* tables/en-ueb-g1.ctb:
	* tables/en-ueb-g2.ctb: Added ueb tables

2012-10-02  Christian Egli  <christian.egli@sbs.ch>

	* gnulib: Update gnulib

2012-09-21  Christian Egli  <christian.egli@sbs.ch>

	* tables/it-it-comp8.utb: More fixes to the italian table. Thanks
	to Simone Dal Maso <simone.dalmaso@juvox.it>

2012-09-06  Christian Egli  <christian.egli@sbs.ch>

	* tests/Makefile.am (check_PROGRAMS):
	* tests/brl_checks.c:
	* tests/brl_checks.h:
	* tests/pass1Only.c: Added a test case for the reported memory
	problem with pass1Only.

2012-09-05  Christian Egli  <christian.egli@sbs.ch>

	* tests/runHarness.py (test_allCases): Add some code to enable the
	harness to return the result of the tests. Disable it for now as
	there are still some tables that fail that we cannot fix before
	release.

	* tables/de-de-comp8.ctb: Added more unicode definitions. Thanks
	to Aliminator83@gmail.com.

2012-09-04  Christian Egli  <christian.egli@sbs.ch>

	* tests/check_all_tables.pl:
	* tests/check_endless_loop.pl:
	* tests/multiple_table_path.pl: When doing VPATH builds (such as
	in `make distcheck`) the binary for lou_checktable is not found.
	Just use a relative path to find it.

2012-07-10  Christian Egli  <christian.egli@sbs.ch>

	* doc/liblouis.texi (How to Write Translation Tables): Document
	the fact that translation tables can now be in UTF-8.
	(Top): Document the doctests.
	(How to Write Translation Tables): Add some minimal documentation
	about the doctests

2012-06-28  Christian Egli  <christian.egli@sbs.ch>

	* doc/liblouis.texi (Miscellaneous Opcodes): Enhance the
	documentation on the display opcode

2012-06-14  Christian Egli  <christian.egli@sbs.ch>

	* liblouis/lou_translateString.c (hyphenate): Fix a buffer overrun.

2012-06-07  Christian Egli  <christian.egli@sbs.ch>

	* liblouis/compileTranslationTable.c (compilePassOpcode): Increase
	the number of chars matched in a $a. expression from 32 to 0xffff.

	* doc/liblouis.texi (The Context and Multipass Opcodes): Document
	the fact that context $a. matches are limited to 0xffff

	* python/louis/__init__.py.in (hyphenate): Now that we know that
	hyphens array should be inlen+1 adapt the Python bindings
	accordingly.

	* doc/liblouis.texi (lou_hyphenate): Fix a documentation bug with
	lou_hyphenate. The length of the hyphens array should be inlen+1.

	* tests/Makefile.am (check_PROGRAMS):
	* tests/brl_checks.c (check_hyphenation):
	* tests/brl_checks.h:
	* tests/hyphenate.c (main): Add a test program hyphenation.

2012-06-01  Christian Egli  <christian.egli@sbs.ch>

	* tests/Makefile.am:
	* tests/repeated.c:
	* tests/squash_space.c:
	* tests/tables/Makefile.am:
	* tests/tables/repeated.utb:
	* tests/tables/repeated_with_correct.utb:
	* tests/tables/squash_space_with_context_1.utb:
	* tests/tables/squash_space_with_context_2.utb:
	* tests/tables/squash_space_with_correct.utb:
	* tests/tables/squash_space_with_repeated.utb: More tests for
	squashing white space. It looks like I found some bugs after all.

	* tests/brl_checks.c (check_translation): Also print the input
	string and delimit the strings with single quotes to better see
	white space.

	* TODO: Added a TODO file to note things that could/should be
	done.

	* tables/de-de-comp8.ctb: Add Symbols such as double quotes,
	dashes to the German computer braille table. Thanks to
	Aliminator83@gmail.com

2012-05-31  Christian Egli  <christian.egli@sbs.ch>

	* tests/Makefile.am:
	* tests/repeated.c:
	* tests/tables/Makefile.am:
	* tests/tables/repeated.utb:
	* tests/tables/repeated_with_correct.utb: Added a test for the
	repeated opcode. Rumors had it that it was buggy, but it does what
	it is supposed to.

	* doc/liblouis.texi (The correct Opcode): Remove the comment about
	input and output positions being incorrect. This bug has been fixed.

2012-05-30  Christian Egli  <christian.egli@sbs.ch>

	* tests/tables/letterDefTest_uppercase.ctb:
	* tests/tables/letterDefTest_uplow.ctb:
	* tests/tables/letterDefTest_lowercase.ctb:
	* tests/tables/letterDefTest_letter.ctb:
	* tests/letterDefTest.c (main): Convert the test so that it
	returns the result of the test. Also use the \xhhhh notation for
	unicode so that it works with the c based test framework.

2012-05-11  Christian Egli  <christian.egli@sbs.ch>

	* liblouis/compileTranslationTable.c (doLang2table): Remove an
	unused variable that was reported by -Wall
	(getALine): Properly initialize a variable. This issue was
	reported by Valgrind.

2012-05-07  Christian Egli  <christian.egli@sbs.ch>

	* tests/brl_checks.c (check_translation): Enhance to be able to
	handle \xhhhh encoded strings like the rest of liblouis. This is
	to support unicode based test cases.

	* tests/uplow_with_unicode.c:
	* tests/tables/uplow_with_unicode.ctb:
	* tests/tables/lowercase_with_unicode.ctb:
	* tests/Makefile.am (uplow_with_unicode_SOURCES): Add a test for
	the problem with lowercase and unicode.

2012-04-20  Christian Egli  <christian.egli@sbs.ch>

	* tables/nl-BE.dis:
	* tables/Makefile.am (table_files):
	* tests/doctests/Makefile.am:
	* tests/doctests/nl-BE-g1.ctb_test.txt: Added a doctest for the
	dutch tables

2012-04-18  Christian Egli  <christian.egli@sbs.ch>

	* tests/pass2_outpos.c:
	* tests/pass2_inpos.c: Rename test to reflect what it really
	tests.

	* tests/Makefile.am:
	* tests/brl_checks.h:
	* tests/brl_checks.c (check_inpos):
	* tests/inpos_compbrl.c: Rename check_outpos to check_inpos to
	reflect the true intention of the function.

2012-04-17  Christian Egli  <christian.egli@sbs.ch>

	* tests/doctests/en-GB-g2.ctb_test.txt:
	* tests/check_doctests.py (TestHelper): Add a test helper to
	simplify the writing of doctests.

	* tests/tables/moreTables/include.utb:
	* tests/Makefile.am (TESTS_ENVIRONMENT):
	* tests/multiple_table_path.pl: Added some tests for the improved
	LOUIS_TABLEPATH functionality.

2012-04-13  Christian Egli  <christian.egli@sbs.ch>

	* tests/Makefile.am:
	* tests/tables/pass2.ctb:
	* tests/pass2_outpos.c: Add a test for the problem with pass2 and outpos.

	* tests/brl_checks.h:
	* tests/brl_checks.c (check_outpos):
	* tests/inpos_compbrl.c (main): Enhance so that output position
	can be checked for different tables.

2012-03-23  Christian Egli  <christian.egli@sbs.ch>

	* tests/tables/pass2.ctb:
	* tests/tables/Makefile.am:
	* tests/pass2.c:
	* tests/Makefile.am: Add a test to show the regression with the
	pass2 opcode.

	* tests/brl_checks.c (check_translation): Make the printing of
	test results more robust (against out of bound errors).

2012-03-21  Christian Egli  <christian.egli@sbs.ch>

	* tests/Makefile.am (TESTS_ENVIRONMENT): Set the env variables so
	that the libraries and executables from the source directories are
	used instead of the installed ones.

2012-03-20  Christian Egli  <christian.egli@sbs.ch>

	* configure.ac:
	* tests/Makefile.am: Only enable the Python based tests if
	configured with ucs4.

2012-03-02  Mesar Hameed <mesar.hameed@gmail.com>

	* configure.ac:
	* doc/liblouis.texi:
	* tests/Makefile.am:
	* tests/harness/Makefile.am:
	* tests/harness/__init__.py:
	* tests/harness/en-GB-g2_harness.py:
	* tests/runHarness.py: Add a test harness, i.e. an infrastructure
	to be able to do table tests in a simple and concise syntax.

2012-03-01  Christian Egli  <christian.egli@sbs.ch>

	* configure.ac:
	* python/louis/Makefile.am:
	* tests/Makefile.am:
	* tests/check_doctests.py:
	* tests/doctests/Makefile.am:
	* tests/doctests/en-GB-g2.ctb_test.txt: Check for Python in
	configure and if there is a Python interpreter enable some Python
	based doctests.


2012-02-27  Mesar Hameed <mesar.hameed@gmail.com>

	* python/louis/__init__.py.in: Expose the constants otherTrans and
	ucBrl in the python bindings.

2012-02-22  Christian Egli  <christian.egli@sbs.ch>

	* configure.ac: Update version number

	* tables/ta-ta-g1.ctb: Added a new tamil table by Mesar Hameed
	<mesar.hameed@gmail.com>

	* tables/no-no.ctb: Additions to the Norwegian braille tables
	thanks to David Hole.

2012-02-21  Juan Carlos Buño Suárez <quetzatl@eresmas.net>

	* tables/Es-Es-G0.utb: add support for the letter Ñ to the Spanish
	table.

2012-02-20  Birkir Gunnarsson <birkir@midstod.is>

	* tables/is.ctb: Updates and additions to Icelandic 8-dot braille
	table.

2012-02-06  Christian Egli  <christian.egli@sbs.ch>

	* tables/Es-Es-G0.utb: Added Spanish grade0 table provided by José
	Enrique Fernández del Campo and Juan Carlos Buño Suárez.

2012-02-01  Christian Egli  <christian.egli@sbs.ch>

	* tables/pt-pt-g1.utb: Added improvements to Portuguese table by
	Rui Batista <ruiandrebatista@gmail.com>.

	* tables/hyph_cs_CZ.dic:
	* tables/Makefile.am (table_files): Added hyphenation table for
	Czech provided by Jan Halousek

2012-01-09  Christian Egli  <christian.egli@sbs.ch>

	* tables/ar-ar-g1.utb: Added updates to Generic Arabic table by
	Mesar Hameed <mhameed@src.gnome.org>

2011-08-19  Bert Frees <bertfrees@gmail.com>

	* tables/cs-chardefs.cti:
	* tables/cs-g1.ctb:
	* tables/cs-translation.ctb: Improved translation tables for Czech
	braille. Credit goes to Jan Halousek

2011-08-08  Michel Such  <michel.such@free.fr>

	* tables/fr-bfu-comp8.utb:
	* tables/fr-bfu-comp6.utb: Updated French tables.

2011-06-28  Christian Egli  <christian.egli@sbs.ch>

	* tables/Makefile.am (table_files): Added the table provided by
	Mesar Hameed to the build process.

2011-06-28  Mesar Hameed <mhameed@src.gnome.org>

	* tables/ar-fa.utb: Added a table for Arabic Farsi.

	* tables/ar-ar-g1.utb: Enhance the Generic Arabic Grade 1 table

2011-06-24  Christian Egli  <christian.egli@sbs.ch>

	* windows/Makefile.nmake: Rename the Makefile to Makefile.nmake to
	make sure it's not overwritten by autoconf

	* windows/Makefile.am (SUBDIRS): Add the include sub dir

2011-06-17  Christian Egli  <christian.egli@sbs.ch>

	* tests/Makefile.am (en_gb_g1_italics_SOURCES):
	* tests/en_gb_g1_italics.c (main): Add a test case for italics
	with the en-gb-g1.utb table.

2011-05-30  Stefan Moisei  <vortex37@gmail.com>

	* tables/ro.ctb: Updates to Romanian table.

2011-05-25  Christian Egli  <christian.egli@sbs.ch>

	* tests/brl_checks.c (check_translation): Print the outbuf using a
	dedicated function. The normal printf with the %ls modifier
	doesn't work as outbuf is not really of type wchar_t. Now the
	received output is correctly printed in the test cases.

2011-05-18  Christian Egli  <christian.egli@sbs.ch>

	* tables/braille-patterns.cti: Fix a problem with the definition
	of Unicode character U+2800. This issue was brought up on the list
	by James Teh.

2011-05-18  Michel Such  <michel.such@free.fr>

	* tables/fr-bfu-comp8.utb: Some fixes for french tables.

2011-05-09  Christian Egli  <christian.egli@sbs.ch>

	* NEWS:
	* configure.ac: Changed the version number.

2011-05-03  Coscell Kao <coscell@molerat.net>

	* tables/zh-tw.ctb: Update the Chinese braille table.

2011-04-26  Christian Egli  <christian.egli@sbs.ch>

	* tables/ar-ar-g1.utb (math): Integrate a patch by Mesar Hameed
	<mesar.hameed@gmail.com>, some white space and encoding cleanup.

2011-04-15  Peter Engström <peter.engstrom@indexbraille.com>

	* tables/sr-chardefs.cti:
	* tables/sr-g1.ctb:
	* tables/sr-translation.ctb:
	* tables/Makefile.am (table_files): Added braille tables for
	Serbian

	* tables/gez-chardefs.cti:
	* tables/gez-g1.ctb:
	* tables/gez-translation.ctb:
	* tables/Makefile.am (table_files): Added braille tables for
	Ethiopic

	* tables/ckb-chardefs.cti:
	* tables/ckb-g1.ctb:
	* tables/ckb-translation.ctb:
	* tables/Makefile.am (table_files): Added braille tables for
	Sorani (Kurdish)

2011-04-15  Bert Frees  <bertfrees@gmail.com>

	* tables/es-chardefs.cti:
	* tables/es-g1.ctb:
	* tables/es-translation.ctb:
	* tables/Makefile.am (table_files): Improvements to the Spanish
	Braille tables.

	* tables/nl-BE-translation.ctb:
	* tables/nl-BE-g1.ctb:
	* tables/Makefile.am (table_files): Improvements to the Dutch
	Braille tables.

	* tables/braille-patterns.cti:
	* tables/nl-BE-chardefs.cti:
	* tables/wiskunde-chardefs.cti:
	* tables/wiskunde-translation.ctb:
	* tables/wiskunde.ctb:
	* tables/Makefile.am (table_files): Improvements to the Flemish
	Braille Math Code tables.

2011-04-15  Christian Egli  <christian.egli@sbs.ch>

	* tests/check_all_tables.pl: Make sure translation tables which
	are just meant to be included such as *-translation.ctb are not
	checked.

2011-04-08  Coscell Kao <coscell@molerat.net>

	* tables/zh-tw.ctb: Improvements to the Chinese braille table

2011-03-30  Christian Egli  <christian.egli@sbs.ch>

	* tests/multiple_table_path.pl: Make sure the test also run in a
	VPATH build, i.e. in make distcheck.

2011-03-28  Christian Egli  <christian.egli@sbs.ch>

	* tables/Makefile.am (table_files): Added a new swedish table
	provided by Samuel Thibault.

	* doc/liblouis.texi (Deprecated Opcodes): Added a section on
	deprecated opcodes.

2011-03-21  Christian Egli  <christian.egli@sbs.ch>

	* contrib/liblouis.spec: Removed spec file as it is now maintained
	in Fedora.

2011-03-03  Christian Egli  <christian.egli@sbs.ch>

	* tables/it-it-g1.utb2: Added an updated italian 8 dot table
	provided by Caterina Avoledo <catery81@yahoo.it>

2010-12-16  Christian Egli  <christian.egli@sbs.ch>

	* tests/check_all_tables: Removed

	* tests/check_all_tables.pl: Port the check_all_tables shell
	script to perl and add a timeout to handle the endless loop
	problem when checking all the tables.

2010-12-09  Bert Frees  <bertfrees@gmail.com>

	* tables/nl-BE.cti:
	* tables/nl-BE-g1.ctb: modified the Dutch tables a bit, for
	improved back-translation and hyphenation.

2010-12-09  Lars Bjørndal  <lars@lamasti.net>

	* tables/no-no-g0.utb:
	* tables/no-no-g1.utb:
	* tables/no-no-g2.utb:
	* tables/no-no-g3.utb: Added slightly modified versions of
	Norwegian braille tables.

2010-12-07  Christian Egli  <christian.egli@sbs.ch>

	* tests/tables/loop.ctb:
	* tests/tables/Makefile.am:
	* tests/check_endless_loop.pl:
	* tests/Makefile.am:
	* configure.ac: Add a new test case which exhibits an endless loop
	in the table compiler if you configure with --enable-ucs4.

	* tables/is-chardefs6.cti: Fix a problem with undefined dot
	patterns.

2010-12-07  Bert Frees  <bertfrees@gmail.com>

	* tables/wiskunde_edit.cti:
	* tables/wiskunde.cti:
	* tables/wiskunde.ctb:
	* tables/nl-BE.cti:
	* tables/nl-BE-g1.ctb: Added Dutch tables provided by Bert Frees

2010-11-26  Christian Egli  <christian.egli@sbs.ch>

	* doc/liblouis.texi (Translation Opcodes): Fix typos and add an
	example for the usage of joinnum.
	(The Context and Multipass Opcodes): Added some clarification on
	the workings of the multipass opcode that was posted to the
	mailing list by Bert Frees.
	(The Context and Multipass Opcodes): beautify the table
	of characters that can be used for attribute strings.

2010-11-18  Christian Egli  <christian.egli@sbs.ch>

	* tables/is-chardefs8.cti: Add table for computer braille based on
	the IceBraille standard, v1.0 by Birkir Gunnarsson,
	birkir@midstod.is

2010-11-12  Christian Egli  <christian.egli@sbs.ch>

	* tables/Makefile.am (table_files):
	* tables/es-old.dis:
	* tables/es-new.dis:
	* tables/es-g1.ctb:
	* tables/es-chardefs.cti:
	* tables/ca-g1.ctb:
	* tables/ca-chardefs.cti: Added Spanish tables made by Bert Frees
	<bertfrees@gmail.com>.

2010-09-27  Christian Egli  <christian.egli@sbszh.ch>

	* tables/Makefile.am (table_files): Integrate the new indian tables.
	(table_files): Integrate the new Icelandic table.

2010-09-27  Birkir Gunnarsson <birkir@midstod.is>

	* tables/is-chardefs6.cti: Added support for Icelandic 6-dot.

2010-09-27  Samuel Thibault <samuel.thibault@ens-lyon.org>

	* tables/as.ctb:
	* tables/awa.ctb:
	* tables/bengali.cti:
	* tables/bh.ctb:
	* tables/bn.ctb:
	* tables/bra.ctb:
	* tables/devanagari.cti:
	* tables/dra.ctb:
	* tables/gon.ctb:
	* tables/gu.ctb:
	* tables/gujarati.cti:
	* tables/gurmukhi.cti:
	* tables/hi.ctb:
	* tables/kannada.cti:
	* tables/kha.ctb:
	* tables/kn.ctb:
	* tables/kok.ctb:
	* tables/kru.ctb:
	* tables/malayalam.cti:
	* tables/ml.ctb:
	* tables/mni.ctb:
	* tables/mr.ctb:
	* tables/mun.ctb:
	* tables/mwr.ctb:
	* tables/ne.ctb:
	* tables/new.ctb:
	* tables/or.ctb:
	* tables/oriya.cti:
	* tables/pa.ctb:
	* tables/pi.ctb:
	* tables/sa.ctb:
	* tables/sat.ctb:
	* tables/sd.ctb:
	* tables/ta.ctb:
	* tables/tamil.cti:
	* tables/te.ctb:
	* tables/telugu.cti: Added quite a few indian tables.

2010-08-27  Christian Egli  <christian.egli@sbszh.ch>

	* NEWS: Added NEWS entry for release 2.1.1

2010-08-23  Christian Egli  <christian.egli@sbszh.ch>

	* tests/lastworditalafter.c (main): Handle two tests more elegantly.

	* tests/brl_checks.c (check_translation): Make the testing code
	robust against NULL values in the typeform parameter.

	* tests/Makefile.am (check_PROGRAMS): Add lastworditalafter to
	check_PROGRAMS.

2010-08-23  James Teh <jamie@jantrid.net>

	* NEWS: Small corrections. Also, include issue numbers with
	their associated changes.

2010-08-19  Christian Egli  <christian.egli@sbszh.ch>

	* tests/Makefile.am (XFAIL_TESTS): Move lastworditalafter to
	XFAIL_TESTS as they currently fail

	* NEWS: Added News items for release 1.9.0, 2.0.0 and 2.1.0

2010-08-06  James Teh <jamie@jantrid.net>

	* liblouis/lou_translateString.c: Fix the output cursorPos when the
	compbrlAtCursor mode is enabled and the characters around the cursor
	translate to multiple braille cells, such as in the Chinese braille
	tables.

2010-08-05  James Teh <jamie@jantrid.net>

	* python/louis/__init__.py.in: Allow the user to configure the maximum
	output length by specifying a number by which the input length is
	multiplied using the outlenMultiplier module variable. The default will
	handle the case where every input character is undefined in the
	translation table. Previously, this was hard-coded to 2, which was
	insufficient in some cases.
	Rename tran_tables argument to tableList in all functions to be
	consistent with liblouis itself.

2010-08-04  James Teh <jamie@jantrid.net>

	* python/louis/__init__.py.in: Corrections/clarifications to docstrings.
	Add compbrlLeftCursor mode constant.
	Add compileString function which wraps lou_compileString.

2010-08-03  James Teh <jamie@jantrid.net>

	* liblouis/lou_translateString.c: Fix the input/output position arrays
	for characters in the input which are undefined in the translation
	table.

2010-07-21  James Teh <jamie@jantrid.net>

	* python/setup.py: Remove unnecessary imports, allowing this to
	run in Python 2.7. (issue 12)

2010-04-15  Christian Egli  <christian.egli@sbszh.ch>

	* tests/brl_checks.h: 
	* tests/brl_checks.c (check_translation): Add a function for
	checking a translation against an expected result.

	* tests/lastworditalafter.c (main): Add a test for handling of
	italics using an English and a German table

	* tests/Makefile.am (lastworditalafter_SOURCES): Added the
	lastworditalafter test to the check programs

2010-02-12 Michael Whapples <mwhapples@aim.com>

	* python/louis/__init__.py.in: Added python function louis.backTranslate
	to wrap lou_backTranslate. Has same calling as louis.translate but again
	with the slightly different meanings as described in liblouis
	documentation for lou_backTranslate.
	Also made some minor error corrections in docstrings.

2010-02-12 Michael Whapples <mwhapples@aim.com>

	* python/louis/__init__.py.in: Added louis.backTranslateString to wrap
	lou_backTranslateString in python. Calling is similar to that for
	louis.translateString. You should be aware of the possible different
	use of typeform in lou_translateString and lou_backTranslateString.

2010-02-11 Michael Whapples <mwhapples@aim.com>

	* python/louis/__init__.py.in: Added support for python to recieve
	typeform data back from louis.translate and louis.translateString.
	For both of these the data will be placed in the typeform list handed
	in to the function. If you don't want this to happen then don't
	use a list (eg. use a tuple).

2010-02-11 Michael Whapples <mwhapples@aim.com>

	* python/louis/__init__.py.in: Added louis.hyphenate to allow access
	from python to the lou_hyphenate function. Its definition is
	def hyphenate(tran_tables, inbuf, mode=0)
	Where tran_tables is a list like for the translate functions,
	inbuf is the text or Braille to hyphenate and mode says if inbuf
	is to be treated as text or Braille. It returns the hyphenation
	data in a string.

2010-02-04  James Teh  <jamie@jantrid.net>

	* python/louis/__init__.py.in: lou_translate* writes output information
	in typeform, so allocate enough bytes for it. Fixes possible buffer
	overruns and resultant crashes.

2010-01-07  Christian Egli  <christian.egli@sbszh.ch>

	* liblouis/compileTranslationTable.c (compileError): Change the
	format of table checking error messages to a format similar to the
	one used in gcc.

2009-11-30  Carlos Ferreira <cferreira9886@gmail.com>

	* tables/Pt-Pt-g1.utb:
	* tables/pt-pt-g2.ctb: Added tables for Portuguese grade 1 and 2.

2009-11-30  Mike Sivill <mike.sivill@viewplus.com>

	* tables/da-dk-g2.ctb: Added tables for Danish grade 2.

2009-11-23  John J. Boyer <john.boyer@abilitiessoft.com>

	* Release 1.8.0: See NEWS for new features


2009-11-20  Christian Waldvogel  <christian.waldvogel@sbszh.ch>

	* tables/de-ch-accents.cti:
	* tables/de-ch-g0.utb:
	* tables/de-ch-g1.ctb:
	* tables/de-ch-g2.ctb:
	* tables/de-chardefs6.cti:
	* tables/de-chardefs8.cti:
	* tables/de-de-accents.cti:
	* tables/de-de-g0.utb:
	* tables/de-de-g1.ctb:
	* tables/de-de-g2.ctb:
	* tables/de-eurobrl6.dis:
	* tables/de-eurobrl6u.dis:
	* tables/de-g0-core.utb:
	* tables/de-g1-core.ctb:
	* tables/de-g2-core.ctb:
	* tests/check_all_tables: Added German grade 2 and Swiss German
	grade 0, 1 and 2.

2009-11-18  Christian Egli  <christian.egli@sbszh.ch>

	* doc/liblouis.texi (lou_checkhyphens): Document the --help and
	--version options that all the tools support now. Also document
	the lou_checkhyphens tool.

2009-11-12  Christian Egli  <christian.egli@sbszh.ch>

	* liblouis/liblouis.h.in (widechar):
	* liblouis/liblouis.h (widechar):
	* configure.ac: No longer include config.h in liblouis.h. Instead
	define the type of widechar in configure and generate liblouis.h
	based on the options given to configure and liblouis.h.in.

2009-11-05  Christian Egli  <christian.egli@sbszh.ch>

	* COPYING:
	* COPYING.LIB:
	* README: Explain that the library is licensed under LGPL and the
	tools under GPL.

	* HACKING: Mention the use of gnulib and explain how to update it.

2009-11-02  Christian Egli  <christian.egli@sbszh.ch>

	* tables/Makefile.am (table_files):
	* tables/sv-1996.ctb:
	* tables/sv-1989.ctb: Added two more tables for Swedish that were
	ported from brltty by Samuel Thibault.

2009-10-16  Christian Egli  <christian.egli@sbszh.ch>

	* tests/table_test_corpuses/README:
	* tests/table_test_corpuses/Makefile.am:
	* tests/table_test_corpuses/test_de-de-g0.utb:
	* tests/table_test_corpuses/test_en-us-g2.ctb:
	* tests/check_tables_against_corpus.pl:
	* tests/Makefile.am: Added a framework for corpus based table tests.

2009-10-13  Christian Egli  <christian.egli@sbszh.ch>

	* man/Makefile.am: When generating the man pages at distribution
	time you need to make sure that all the libraries and all the
	tools are built. This makes the Makefile complex for no good
	reason (since John doesn't have help2man anyway). So the man pages
	are not distributed now. If a user wants man pages they have to
	install help2man.

2009-10-09  Christian Egli  <christian.egli@sbszh.ch>

	* Makefile.am:
	* configure.ac:
	* tools/lou_allround.c:
	* tools/lou_checkhyphens.c:
	* tools/lou_checktable.c:
	* tools/lou_debug.c:
	* tools/lou_translate.c: Integrate gnulib (modules getopt,
	progname and version-etc) and use it to add --help and --version
	options to all the tools. Due to an (apparent) restriction in
	progname I also changed the config header to (standard) "config.h"
	instead of "louiscfg.h".

	* man/Makefile.am (man_MANS): Automatically generate man pages for
	all the tools if help2man is installed.

2009-10-08  Christian Egli  <christian.egli@sbszh.ch>

	* tools/lou_allround.c:
	* tools/lou_checkhyphens.c:
	* tools/lou_checktable.c:
	* tools/lou_debug.c:
	* tools/lou_translate.c: Change the license of the tools to GPL.

2009-09-18  Christian Egli  <christian.egli@sbszh.ch>

	* tests/Makefile.am: Define the test scripts with check_SCRIPTS
	and make sure they are distributed.


2009-08-24  Christian Egli  <christian.egli@sbszh.ch>

	* tests/Makefile.am: Re-enable the present_progressive test but
	mark it as "expected failure" so that the test suite still passes.

	* tests/present_progressive.c: Add a description as to what this
	test is trying to check. Thanks Jamie for the explanation.

2009-08-21  Christian Egli  <christian.egli@sbszh.ch>

	* tests/Makefile.am: Comment out the present_progressive test
	completely so autogen.sh no longer complains.

2009-08-19  Mike Sivill <mike.sivill@viewplus.com>

	* tables/da.ctb:
	* tables/da-dk-g1.utb: Bug fixes for the Danish tables

2009-08-19  Christian Egli  <christian.egli@sbszh.ch>

	* tests/Makefile.am (check_PROGRAMS): disable the
	present_progressive test.

	* tables/Makefile.list, tables/Makefile.skel: removed as
	functionality is now provided by maketablelist.sh

	* tables/maketablelist.sh: renamed from tables/maketablelist

2009-08-12  Christian Egli  <christian.egli@sbszh.ch>

	* tests/check_all_tables (TABLES): No longer check include tables
	that are not valid on their own.

2009-08-11 John J. Boyer <john.boyer@abilitiessoft.com>

	* Updated edit tables for UK maths and Marburg to give more
	readable output.

2009-08-03 John J. Boyer <john.boyer@abilitiessoft.com>

	* Added new tables for Marburg maths.


2009-07-29 John J. Boyer <john.boyer@abilitiessoft.com>

	* Added replaceGrouping function


2009-07-28  Christian Egli  <christian.egli@sbszh.ch>

	* tables/Makefile.am: Remove some spurious files from the list of
	tables.

2009-07-28 John J. Boyer <john.boyer@abilitiessoft.com>
	* Alpha release of UK Maths tables

2009-07-17  Lars Bjørndal <lars@handytech.no>

	* contrib/liblouis.spec: Added rpm spec file.

2009-07-13 John J. Boyer <john.boyer@abilitiessoft.com>

	* Merged compileTranslationTable.c and lou_translateString.c
	  with code for non-nemeth math back into trunk

2009-07-06  Christian Egli  <christian.egli@sbszh.ch>

	* tables/Makefile.am (table_files): Bring the list of tables up to
	date.

2009-07-03  Christian Egli  <christian.egli@sbszh.ch>

	* tests/Makefile.am (TESTS_ENVIRONMENT): Set the environment so
	that the tests also pass when building in a separate directory and
	in particular for the `distcheck' rule.

	* tests/brl_checks.c (TRANTAB): Since the Makefile sets the
	LOUIS_TABLEPATH we no longer need to specify the path to the
	table.

	* tests/check_all_tables: Use LOUIS_TABLEPATH to find the tables.

	* tables/sk-sk.utb: Fix errors that were reported by
	lou_checktable.

2009-07-03  James Teh <jamie@jantrid.net>

	* configure.ac: Include the version suffix in the dll name for Windows again (don't add -avoid-version).
	* python/Makefile.am:
	* python/louis/__init__.py.in: Use the precise name of the library
	that the bindings were built with. This ensures the correct ABI
	and allows the bindings to work on systems which do not use the .so
	extension.

2009-07-02  Christian Egli  <christian.egli@sbszh.ch>

	* doc/liblouis.texi (How to Write Translation Tables): Fix the
	prefix for characters operand. It is \y for 5 digits and \z for 8
	digits.

2009-07-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	* tables/spaces.ctb:
	* tables/ru.ctb:
	* tables/gd.ctb:
	* tables/en-chess.ctb:
	* tables/fr-2007.ctb:
	* tables/boxes.ctb:
	* tables/de-chess.ctb: Fixed problems with 5-digit character
	operands in tables.

2009-07-01  Christian Egli  <christian.egli@sbszh.ch>

	* tests/check_all_tables: Added a test that invokes lou_checktable
	on all tables.

	* tests/Makefile.am (TESTS): Add the check_all_tables test to the
	list of tests.

2009-06-12 John J. Boyer <john.boyer@abilitiessoft.com>

	* Added lou_checkhyphens tool for checking hyphenation tables and
	the performance of the lou_hyphenate function. Did bugfixes in
	lou_hyphenate. More to come.

2009-05-19 John J. Boyer <john.boyer@abilitiessoft.com>

	 * Added noback and nofor opcode prefixes
	* Documentation in liblouis.texi, etc.


2009-04-22 John J. Boyer <john.boyer@abilitiessoft.com>
	* Added repword opcode with documentation

2009-03-24 John J. Boyer <john.boyer@abilitiessoft.com>

	* Added ability to specify first four user-defined classes in
	multipass opcodes.

	* Updated documentation with table of multipass attributes


2009-03-19 John J. Boyer <john.boyer@abilitiessoft.com>
	* Fixed bug with French back-translation.


2009-03-12 John J. Boyer <john.boyer@abilitiessoft.com>
	* doc/Makefile.am: datarootdir may not be correct.


2009-03-09  Christian Egli  <christian.egli@sbszh.ch>

	* doc/Makefile.am (doc_DATA): Use the default location for docdir.
	Thanks to Lars Bjørndal for the report.

2009-03-04 John J. Boyer <john.boyer@abilitiessoft.com>
	* New Norwegian tables
	* Release 1.6.0


2009-02-26 John J. Boyer <john.boyer@abilitiessoft.com>

	* Removed egregiously bad German Grade 2 taale.


2009-02-23 (2) John J. Boyer <john.boyer@abilitiessoft.com>

	* doc/louis.texi: Correcting and updating documentation


2009-02-20 (2) John J. Boyer <john.boyer@abilitiessoft.com>

	* Moved mac-osx-10.5 directory to liblouisxml


2009-02-20 John J. Boyer <john.boyer@abilitiessoft.com>

	* Added the directory mac-osx-10.5 and its files for building 
	  liblouis and liblouisxml on the Mac.


2009-02-19  Christian Egli  <christian.egli@sbszh.ch>

	* tables/hyph_nl_NL.dic:
	* tables/cy-cy-g1.utb: The svn:eol-style says these files are LF,
	however they contain CRs. So when doing a svn cat you'll get an
	error saying "svn: Inconsistent line ending style". I fixed this
	with dos2unix.

2009-02-18 John J. Boyer <john.boyer@abilitiessoft.com>

	* Changing e-mail, website and company name to abilitiessoft.


2009-02-17 John J. Boyer <john.boyer@jjb-software.com>

	* Added Russian Tables and correct Danish tables from ViewPlus

2009-02-16 John J. Boyer <john.boyer@jjb-software.com>
	* Documented exactdots opcode.


2009-02-15 John J. Boyer <john.boyer@jjb-software.com>

	* compileTranslationTable.c: Fined automatic path finding. Moved
	getProgramPath there from paths.c in liblouisxml, and made it
	exportable as lou_getProgramPath
	* liblouis.h: added lou_getProgramPath for Windows only.

2009-02-14  James Teh <jamie@jantrid.net>

	* liblouis/compileTranslationTable.c:
	* liblouis/liblouis.h:
	* liblouis/lou_backTranslateString.c:
	* liblouis/lou_translateString.c: Use stdcall calling convention if building for Windows.
	* configure.ac: If building for Windows, pass --add-stdcall-alias to the linker so that non-decorated function aliases are generated for the stdcall exported functions.
	* python/louis/__init__.py: Update to work with stdcall under Windows.

2009-02-14  Eitan Isaacson  <eitan@ascender.com>

	* liblouis/compileTranslationTable.c (getFullTablePath): Added a
	new table search path function.
	* liblouis/Makefile.am: Define a macro with the installed 
	tables directory TABLESDIR.

2009-02-09 John J. Boyer <john.boyer@jjb-software.com>

	* Latest French tables.

2009-02-09  Christian Egli  <christian.egli@sbszh.ch>

	* doc/liblouis.texi (Programming with liblouis): Move the
	programming section to the back and rename to emphasize more on
	the user instead of the programmer.

	* doc/liblouis-guide.texi: rename it to liblouis.texi.

2009-02-03 John J. Boyer <john.boyer@jjb-software.com>

	* Implement exactdots opcode

2009-01-22  Christian Egli  <christian.egli@sbszh.ch>

	* doc/liblouis-guide.texi (The Context and Multipass Opcodes):
	Document the problem with correct and multipass opcodes and input
	and output positions.

2009-01-21  James Teh <jamie@jantrid.net>

	* tables/UEBC-g1.ctb: Some fixes to the UEBC grade 1 table.

2009-01-20  James Teh <jamie@jantrid.net>

	* python/louis/__init__.py: Add pass1Only mode.

2009-01-20 (2) John J. Boyer <john.boyer@jjb-software.com>
	* Implemented pass1Only mode bit
	* Can now set pass1Only in lou_allround
2009-01-20 John J. Boyer <john.boyer@jjb-software.com>
	* Change version in configure.ac to 1.5.2

2009-01-20  James Teh <jamie@jantrid.net>

	* liblouis/lou_translateString.c: Fix the bug whereby the next character in the input was skipped if doing compbrlAtCursor and the first character of the word was a capital letter.
	* liblouis/compileTranslationTable.c: lou_version() now returns PACKAGE_VERSION as defined in louiscfg.h.
	* configure.ac: Include -avoid-version in LDFLAGS if the host is mingw or cygwin so that the version suffix is not included in the dll filename.

2009-01-19  Christian Egli  <christian.egli@sbszh.ch>

	* doc/liblouis-guide.texi (Top): Added some minimal docu for the
	Python bindings.

2009-01-19  Eitan Isaacson  <eitan@ascender.com>

	* Makefile.am:
	* configure.ac:
	* python/Makefile.am:
	* python/louis/Makefile.am: Added Python bindings to autotooled
	distribution.

	* python/README: Unset executable flag.

2009-01-19  James Teh <jamie@jantrid.net>

	* liblouis/lou_translateString.c: Fix issues when compbrlAtCursor is set, input is being removed due to a "repeated" opcode and cursorPos lies within the repeated input.

2009-01-18  James Teh <jamie@jantrid.net>

	* liblouis/lou_translateString.c: When contracting or expanding in the output, map all positions of the input to the first position of the output and all positions of the output to the first position of the input. Mapping to subsequent positions of a contraction doesn't make sense, as the contraction only makes sense as a whole.

2009-01-15  Eitan Isaacson  <eitan@ascender.com>

	* python/setup.py:
	* python/louis/__init__.py: Added Python bindings.

2009-01-15 John J. Boyer <john.boyer/jjb-software.com>

	* Version 1.5.1: bugfix
	 * liblouis/lou_translateString.c: fixed multi-word phrases
	* tools/lou_debug.c : fixed bug in character display
	* liblouis/compileTranslationTable.c : fixed bug in 
	  findOpcodeName

2009-01-14  James Teh <jamie@jantrid.net>

	* liblouis/lou_translateString.c: Fix the inpos array values for the case where a rule has an output length which is larger than its input length. For example, using UEBC, given the input "#", the output will be "_?". The array mapping from output to input (inpos) previously specified [0, 1], which is incorrect; there is no character at index 1 in the input. The correct result is now returned; i.e. [0, 0].

2009-01-12 John J. Boyer <john.boyer@jjb-software.com>

	* Fixed problem with French Braille
	 * Completed lou_debug tool
	* Added hooks in compileTranslationTable.c for lou_debug
	* Updated louis.h with hook prototypes and documentation
	* Changed version number to 1.5.0

2009-01-08  Christian Egli  <christian.egli@sbszh.ch>

	* doc/Makefile.am (AM_MAKEINFOHTMLFLAGS): Generate the html as one
	big page.

2008-12-20  Eitan Isaacson  <eitan@ascender.com>

	* ChangeLog:
	* configure.ac:
	* doc/Makefile.am:
	* doc/liblouis-guide.texi:
	* doc/version.texi:
	* liblouis/lou_translateString.c:
	* liblouis/louiscfg.h.in:
	* tables/Cz-Cz-g1.utb:
	* tables/Fr-Ca-g2.ctb:
	* tables/Fr-Fr-g2.ctb:
	* tables/Lv-Lv-g1.utb:
	* tables/Makefile.am:
	* tables/Nl-Nl-g1.utb:
	* tables/No-No-g0.utb:
	* tables/No-No-g1.ctb:
	* tables/No-No-g2.ctb:
	* tables/No-No-g3.ctb:
	* tables/Pl-Pl-g1.utb:
	* tables/Pt-Pt-g1.utb:
	* tables/Se-Se-g1.utb:
	* tables/UEBC-g1.utb:
	* tables/UEBC-g2.ctb:
	* tables/ar-ar-g1.utb:
	* tables/bg.ctb:
	* tables/boxes.ctb:
	* tables/cy-cy-g1.utb:
	* tables/cy-cy-g2.ctb:
	* tables/da-1252.ctb:
	* tables/da-lt.ctb:
	* tables/da.ctb:
	* tables/de-chess.ctb:
	* tables/de-de-g0.utb:
	* tables/de-de-g1.ctb:
	* tables/de-de-g2.ctb:
	* tables/de-de.dis:
	* tables/en-GB-g2.ctb:
	* tables/en-chess.ctb:
	* tables/en-gb-g1.utb:
	* tables/en-us-brf.dis:
	* tables/en-us-comp6.ctb:
	* tables/en-us-comp8.ctb:
	* tables/en-us-g1.utb:
	* tables/en-us-g2.ctb:
	* tables/en-us-interline.ctb:
	* tables/en_CA.ctb:
	* tables/eo.ctb:
	* tables/et.ctb:
	* tables/eurodefs.cti:
	* tables/fi-fi-8dot.ctb:
	* tables/fi-fi.ctb:
	* tables/fi1.ctb:
	* tables/fi2.ctb:
	* tables/fr-2007.ctb:
	* tables/fr-bfu-comp6.utb:
	* tables/fr-bfu-comp8.utb:
	* tables/fr-ca-g1.utb:
	* tables/fr-fr-g1.utb:
	* tables/gd.ctb:
	* tables/gr-bb.ctb:
	* tables/gr-gr-g1.utb:
	* tables/hi-in-g1.utb:
	* tables/hr.ctb:
	* tables/hy.ctb:
	* tables/hyph_de_DE.dic:
	* tables/hyph_it_IT.dic:
	* tables/hyph_nl_NL.dic:
	* tables/hyph_no_NO.dic:
	* tables/is.ctb:
	* tables/it-it-g1.utb:
	* tables/it-it-g1.utb2:
	* tables/lt.ctb:
	* tables/nemeth_edit.ctb:
	* tables/nl-be-g1.utb:
	* tables/no-gen.dis:
	* tables/no-no.dis:
	* tables/ro.ctb:
	* tables/ru.ctb:
	* tables/se-se.dis:
	* tables/sk-sk-g1.utb:
	* tables/sk-sk.utb:
	* tables/spaces.ctb:
	* tables/text_nabcc.dis:
	* tables/tr.ctb:
	* tables/ukchardefs.cti:
	* tables/uni-text.dis:
	* tables/vi.ctb:
	* tables/zh-tw.ctb:
	* tools/Makefile.am:
	* tools/lou_checktable.c:
	* tools/lou_debug.c:
	* configure.in:
	* doc/liblouis-guide.html:
	* doc/liblouis-guide.txt: Merge with 1.4.0, and John's autotools.


2008-11-12  Christian Egli  <christian.egli@sbszh.ch>

	* doc/liblouis-guide.texi: Added the guide in texinfo
	* doc/Makefile.am (.texi.txt): Integrate the texinfo guide in the
	build system.

2008-06-16 John J. Boyer <john.boyer@jjb-software.com>

	* Release liblouis-1.3.8
	* Competed conversion to Gnu autotools that Eitan Isaacson started.

2008-05-29 John J. Boyer <john.boyer@jjb-software.com>

	* Release liblouis-1.3.71
	* Bugs with compbrlAtCursor and returned inlen have been fixed.
	* lou_allround has a new heature to test returned lengths.
	* Bugs with nocont opcode fixed.

2008-05-12 John J. Boyer <john.boyer@jjb-software.com>

	* Release liblouis-1.3.7
	* The moretables directory has been renamed to tables.
	* Documentation has been moved to the docs directory.
	* Only the programs allround, checktable and translate
	are now supported.
	* The names of these programs have been changed to lou_allround,
	lou_checktable and lou_translate
	* A few bugs have been fixed.

2008-03-31 John J. Boyer <john.boyer@jjb-software.com>

	* Release 1.3.6
	* The moretables directory now contains the latest versions of
	both the translation and hyphenation tables.
	* The COPYING file has been changed to reflct the change from GPL to LGPL.

2008-01-29  Eitan Isaacson  <eitan@ascender.com>

	* configure.in: Bumped to new version.
	* tools/Makefile.am: Changed tool names
	* tools/allround.c:
	* tools/basicround.c:
	* tools/checktable.c:
	* tools/dotsround.c:
	* tools/roundtrip.c:
	* tools/testback.c:
	* tools/translate.c:
	* tools/lou_allround.c:
	* tools/lou_basicround.c:
	* tools/lou_checktable.c:
	* tools/lou_dotsround.c:
	* tools/lou_roundtrip.c:
	* tools/lou_testback.c:
	* tools/lou_translate.c: Prefixed all binaries with lou_.

2008-01-23  Eitan Isaacson  <eitan@ascender.com>

	* configure.in:
	* doc/liblouis-guide.html:
	* doc/liblouis-guide.txt:
	* liblouis/lou_backTranslateString.c:
	* liblouis/lou_translateString.c:
	* tables/chardefs.cti:
	* tables/en-us-g2.ctb:
	* tools/allround.c: John's 1.3.51 release.
	
	* liblouis/lou_translateString.c:
	* tools/Makefile.am:
	* tools/allround.c: Jonh's 1.3.42 release.

2008-01-17  Eitan Isaacson  <eitan@ascender.com>
	
	* configure.in: Tagged version 1.3.5.
	
	* configure.in: Removed unsupported/Makefile.am
	* tables/Makefile.am: Removed unsupported subdir.
	* tables/unsupported: Removed.

	* liblouis.pc.in: Added a variable called 'tablesdir'.
	* tables/Cz-Cz-g1.utb:
	* tables/Es-Es-g1.utb:
	* tables/Fr-Ca-g2.ctb:
	* tables/Fr-Fr-g2.ctb:
	* tables/Lv-Lv-g1.utb:
	* tables/Makefile.am:
	* tables/Nl-Nl-g1.utb:
	* tables/No-No-g0.utb:
	* tables/No-No-g1.ctb:
	* tables/No-No-g2.ctb:
	* tables/No-No-g3.ctb:
	* tables/Pl-Pl-g1.utb:
	* tables/Pt-Pt-g1.utb:
	* tables/README:
	* tables/Se-Se-g1.utb:
	* tables/UEBC-g1.utb:
	* tables/UEBC-g2.ctb:
	* tables/ar-ar-g1.utb:
	* tables/cy-cy-g1.utb:
	* tables/cy-cy-g2.ctb:
	* tables/de-de-g0.utb:
	* tables/de-de-g1.ctb:
	* tables/de-de-g2.ctb:
	* tables/de-de.dis:
	* tables/en-GB-g2.ctb:
	* tables/en-gb-g1.utb:
	* tables/en-us-g1.utb:
	* tables/errors:
	* tables/eurodefs.cti:
	* tables/fr-ca-g1.utb:
	* tables/fr-fr-g1.utb:
	* tables/gr-gr-g1.utb:
	* tables/hi-in-g1.utb:
	* tables/hyph_de_DE.dic:
	* tables/hyph_en_US.dic:
	* tables/hyph_es_ES.dic:
	* tables/hyph_fr_FR.dic:
	* tables/hyph_it_IT.dic:
	* tables/hyph_nl_NL.dic:
	* tables/hyph_no_NO.dic:
	* tables/hyph_pl_PL.dic:
	* tables/hyph_pt_PT.dic:
	* tables/hyph_sv_SE.dic:
	* tables/it-it-g1.utb:
	* tables/nl-be-g1.utb:
	* tables/no-no.dis:
	* tables/se-se.dis:
	* tables/text_nabcc.dis:
	* tables/ukchardefs.cti:
	* tables/uni-text.dis:
	* tables/unsupported:
	* tables/unsupported/Cz-Cz-g1.utb:
	* tables/unsupported/Es-Es-g1.utb:
	* tables/unsupported/Fr-Ca-g2.ctb:
	* tables/unsupported/Fr-Fr-g2.ctb:
	* tables/unsupported/Lv-Lv-g1.utb:
	* tables/unsupported/Makefile.am:
	* tables/unsupported/Nl-Nl-g1.utb:
	* tables/unsupported/No-No-g0.utb:
	* tables/unsupported/No-No-g1.ctb:
	* tables/unsupported/No-No-g2.ctb:
	* tables/unsupported/No-No-g3.ctb:
	* tables/unsupported/Pl-Pl-g1.utb:
	* tables/unsupported/Pt-Pt-g1.utb:
	* tables/unsupported/README:
	* tables/unsupported/Se-Se-g1.utb:
	* tables/unsupported/UEBC-g1.utb:
	* tables/unsupported/UEBC-g2.ctb:
	* tables/unsupported/ar-ar-g1.utb:
	* tables/unsupported/chardefs.cti:
	* tables/unsupported/countries.cti:
	* tables/unsupported/cy-cy-g1.utb:
	* tables/unsupported/cy-cy-g2.ctb:
	* tables/unsupported/de-de-g0.utb:
	* tables/unsupported/de-de-g1.ctb:
	* tables/unsupported/de-de-g2.ctb:
	* tables/unsupported/de-de.dis:
	* tables/unsupported/en-GB-g2.ctb:
	* tables/unsupported/en-gb-g1.utb:
	* tables/unsupported/en-us-g1.utb:
	* tables/unsupported/en-us-g2.ctb:
	* tables/unsupported/errors:
	* tables/unsupported/eurodefs.cti:
	* tables/unsupported/fr-ca-g1.utb:
	* tables/unsupported/fr-fr-g1.utb:
	* tables/unsupported/gr-gr-g1.utb:
	* tables/unsupported/hi-in-g1.utb:
	* tables/unsupported/hyph_de_DE.dic:
	* tables/unsupported/hyph_en_US.dic:
	* tables/unsupported/hyph_es_ES.dic:
	* tables/unsupported/hyph_fr_FR.dic:
	* tables/unsupported/hyph_it_IT.dic:
	* tables/unsupported/hyph_nl_NL.dic:
	* tables/unsupported/hyph_no_NO.dic:
	* tables/unsupported/hyph_pl_PL.dic:
	* tables/unsupported/hyph_pt_PT.dic:
	* tables/unsupported/hyph_sv_SE.dic:
	* tables/unsupported/it-it-g1.utb:
	* tables/unsupported/nl-be-g1.utb:
	* tables/unsupported/no-no.dis:
	* tables/unsupported/se-se.dis:
	* tables/unsupported/text_nabcc.dis:
	* tables/unsupported/ukchardefs.cti:
	* tables/unsupported/uni-text.dis: Flattened tables directory,
	all tables not live in basedir/tables.

2008-01-16  Eitan Isaacson  <eitan@ascender.com>

	* README:
	* doc/liblouis-guide.html:
	* doc/liblouis-guide.txt:
	* liblouis/compileTranslationTable.c:
	* liblouis/lou_backTranslateString.c:
	* liblouis/lou_translateString.c:
	* tables/chardefs.cti: John's changes.
	* configure.in: Bumped to version 1.3.41.

	* liblouis/liblouis.h: Added an include to louiscfg.h for
	character width.
	* configure.in: Added --enable-ucs4 for 4 byte wide characters.
	* liblouis/Makefile.am: Added louiscfg.h for installation.

2008-01-03  Eitan Isaacson  <eitan@ascender.com>

	* configure.in: First autotooled version.

